View Issue Details

IDProjectCategoryView StatusLast Update
0000953FreeCADFeaturepublic2015-04-28 09:28
ReporterwandererfanAssigned Towmayer 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0000953: No scroll bar on preferences dialog window.
Descriptionv0.13 When using a laptop, the prefences dialog extends past the bottom of the screen. In Linux, user has to change workspaces to find "apply", "cancel" buttons, then change back to original workspace.

Not very elegant, but most CAD people probably aren't using a laptop most of the time.
TagsNo tags attached.

Activities

jmaustpc

2013-01-12 13:30

manager   ~0002839

Last edited: 2013-01-12 13:31

what resolution is your monitor/display?

I just tried a few resolutions, to get the "ok" "cancel" buttons to disappear I have to get to a resolution of down to 800*600, if I increase to 1024*768 all is visible from the Arch work bench (which adds Arch and Draft).

A scroll bar may be a good idea, but I wonder if you are running your laptop display at the correct/native resolution?

OS: Ubuntu 12.04.1 LTS
Platform: 64-bit
Version: 0.13.1822 (Git)
Branch: master
Hash: 3cdf8f4350ababe0b6d1dfc85cda8bdd80864c5c
Python version: 2.7.3
Qt version: 4.8.2
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0

wandererfan

2013-01-17 00:00

developer   ~0002855

1280x800 (16x10)

I just looked at preferences. I have "General", "Display" and "Draft". The buttons are in the next workspace down.

1280 x 720 (16x9) also falls off the bottom. So does 1024 x 768 (4x3) (yuck!).

The regular FC display fills the screen nicely in either resolution.

OS: Ubuntu 12.04.1 LTS
Platform: 32-bit
Version: 0.13.1822 (Git)
Branch: master
Hash: 3cdf8f4350ababe0b6d1dfc85cda8bdd80864c5c
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0
OS: Ubuntu 12.04.1 LTS
Platform: 32-bit
Version: 0.13.1822 (Git)
Branch: master
Hash: 3cdf8f4350ababe0b6d1dfc85cda8bdd80864c5c
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0

wandererfan

2013-04-03 11:32

developer   ~0003030

A work-around: in Ubuntu (at least?), shift-leftbutton lets you drag the Preferences window around from anywhere in the window. Not as nice as a scrollbar, but workable.

BTW, something in gnome/gdm/compiz/metacity/???? has changed on my machine and the overflow of the Preferences window is no longer accessible in the next workspace. shift-leftbutton is the only option left.

Issue History

Date Modified Username Field Change
2013-01-11 17:45 wandererfan New Issue
2013-01-12 13:30 jmaustpc Note Added: 0002839
2013-01-12 13:31 jmaustpc Note Edited: 0002839
2013-01-17 00:00 wandererfan Note Added: 0002855
2013-04-03 11:32 wandererfan Note Added: 0003030
2014-03-09 12:19 wmayer Changeset attached => FreeCAD Master master cea0daa5
2014-03-09 14:09 wmayer Status new => closed
2014-03-09 14:09 wmayer Assigned To => wmayer
2014-03-09 14:09 wmayer Resolution open => fixed
2014-03-09 14:09 wmayer Fixed in Version => 0.14
2014-03-09 14:19 wmayer Changeset attached => FreeCAD Master master 064b5f85